Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  aufgelöste Schraffuren löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   aufgelöste Schraffuren löschen (1180 mal gelesen)
lutzc
Mitglied
Auto-CAD Systemadministrator


Sehen Sie sich das Profil von lutzc an!   Senden Sie eine Private Message an lutzc  Schreiben Sie einen Gästebucheintrag für lutzc

Beiträge: 145
Registriert: 30.07.2008

ACADM 2008 + PSP prof. 2008
Inventor 2010, Showcase prof. 2010

erstellt am: 30. Nov. 2010 15:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe eine aus einem PDF konvertierte Zeichnung mit vielen Schraffuren als einzelne Linien.
Nun möchte ich diese über die Schnellauswahl löschen, scheitert aber daran das der Winkel der Linien zwischen 44.5 und 45.5° aufgrund der Umwandlung schwankt. Gibt es irgendeine Möglichkeit diese Elemente trotzdem auszuwählen?

Danke und Gruß
Christian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 30. Nov. 2010 15:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für lutzc 10 Unities + Antwort hilfreich

2 x _qselect  ..
1.Mal alles was größer 44 ° auswählen
2.Mal auf aktuelle auswahl anwenden und alles was größer 46° ist ausschließen

mit Minilisp gehts natürlich auch

(if(setq AWS (ssget (list'(0 . "LINE")(cons 410 (getvar "CTAB")))))
  (progn
    (setq NAWS(ssadd))
    (setq I -1)
    (repeat (sslength AWS)
      (if(and (setq OBJ (ssname AWS(setq I(1+ I))))
              (setq W(vla-get-angle(vlax-ename->vla-object OBJ)))
              (setq W(/(* W 180) PI))
              (< 44 W 46)
        )
        (ssadd OBJ NAWS)
      ) 
    )
    (sssetfirst NAWS NAWS)
  )
)

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

lutzc
Mitglied
Auto-CAD Systemadministrator


Sehen Sie sich das Profil von lutzc an!   Senden Sie eine Private Message an lutzc  Schreiben Sie einen Gästebucheintrag für lutzc

Beiträge: 145
Registriert: 30.07.2008

ACADM 2008 + PSP prof. 2008
Inventor 2010, Showcase prof. 2010

erstellt am: 10. Dez. 2010 09:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke!
mit der schnellauswahl hätte ich eigentlich auch selbst drauf kommen können 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz